.noselect {
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}
.mf-modal {
  position: fixed!important;
  /*width: 50vw;*/
  /*height: 40vh;*/
  box-shadow: 0 0 10px grey;
  border: 1px solid grey;
  top: 30px;
  left: 200px;
  z-index: 100001;
  background-color: white;
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}
.mf-modal.hidden {
  transform: scale(0);
}
.mf-modal .titlebar,
.mf-modal .contentbar {
  position: relative;
}
.mf-modal .titlebar {
  background-color: cornflowerblue;
  height: 2em;
}
.mf-modal .titlebar .close {
  line-height: 0px;
  border-radius: 50%;
  border: 2px solid black;
  width: 1.3em;
  height: 1.3em;
  top: 1px;
  position: absolute;
  right: 4px;
}
.mf-modal .titlebar .caption {
  height: 100%;
  vertical-align: -18px;
  /*top: 5px;*/
  position: relative;
  display: inline-block;
  overflow: hidden;
  padding: 0 1em;
  color: white;
  /*font-weight: bold;*/
}
.mf-modal .buttonbar {
  margin: 1rem;
  text-align: center;
}
.mf-modal .buttonbar button {
  margin: 0 2px;
}
.mf-modal .contentbar {
  padding: 0.6em;
  min-width: 40vw;
}
.mf-modal .contentbar iframe {
  width: 100%;
  height: 100%;
  border: 0;
}
.mf-modal .modal-buttons {
  padding: 0 0.6em 0.6em;
}
.mf-modal .modal-buttons button {
  margin-left: 2px;
}
.mf-overlay {
  width: 100%;
  height: 100%;
  background-color: black;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 100000;
  opacity: 0.4;
  box-shadow: inset 0 0 30% black;
}
